#!/usr/bin/perl
# sync_form.cgi
# Display a form for creating some or all missing users and groups on
# some or all servers

require './cluster-webmin-lib.pl';
&header($text{'sync_title'}, "");
print "<hr>\n";

print "$text{'sync_desc'}<p>\n";
print "<form action=sync.cgi>\n";
print "<table>\n";

print "<tr> <td valign=top><b>$text{'sync_hosts'}</b></td> <td>\n";
print "<input type=radio name=hosts_mode value=1 checked> ",
      "$text{'sync_hall'}\n";
print "<input type=radio name=hosts_mode value=0> ",
      "$text{'sync_hsel'}<br>\n";
print "<select name=hosts multiple size=5 width=200>\n";
@servers = &list_servers();
foreach $h (&list_webmin_hosts()) {
	($s) = grep { $_->{'id'} == $h->{'id'} } @servers;
	print "<option value='$h->{'id'}'>",
		$s->{'desc'} ? $s->{'desc'} : $s->{'host'};
	}
print "</select></td> </tr>\n";

print "<tr> <td valign=top><b>$text{'sync_users'}</b></td> <td>\n";
print "<input type=radio name=users_mode value=1> ",
      "$text{'sync_uall'}&nbsp;&nbsp;\n";
print "<input type=radio name=users_mode value=0 checked> ",
      "$text{'sync_unone'}<br>\n";
print "<input type=radio name=users_mode value=2> ",
      "$text{'sync_usel'}\n";
print "<input name=usel size=30><br>\n";
print "<input type=radio name=users_mode value=3> ",
      "$text{'sync_unot'}\n";
print "<input name=unot size=30><br>\n";
print "</td> </tr>\n";

print "<tr> <td valign=top><b>$text{'sync_groups'}</b></td> <td>\n";
print "<input type=radio name=groups_mode value=1> ",
      "$text{'sync_gall'}&nbsp;&nbsp;\n";
print "<input type=radio name=groups_mode value=0 checked> ",
      "$text{'sync_gnone'}<br>\n";
print "<input type=radio name=groups_mode value=2> ",
      "$text{'sync_gsel'}\n";
print "<input name=gsel size=30><br>\n";
print "<input type=radio name=groups_mode value=3> ",
      "$text{'sync_gnot'}\n";
print "<input name=gnot size=30><br>\n";
print "</td> </tr>\n";

print "<tr> <td><b>$text{'sync_test'}</b></td>\n";
print "<td><input type=radio name=test value=1> $text{'yes'}\n";
print "<input type=radio name=test value=0 checked> $text{'no'}</td> </tr>\n";

print "</table>\n";
print "<input type=submit value='$text{'sync_ok'}'></form>\n";

print "<hr>\n";
&footer("", $text{'index_return'});

